summaryrefslogtreecommitdiffstats
path: root/tests/t-conffile-divert-conffile/pkg-conff-divert/DEBIAN/preinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 18:35:28 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 18:35:28 +0000
commitea314d2f45c40a006c0104157013ab4b857f665f (patch)
tree3ef2971cb3675c318b8d9effd987854ad3f6d3e8 /tests/t-conffile-divert-conffile/pkg-conff-divert/DEBIAN/preinst
parentInitial commit. (diff)
downloaddpkg-ea314d2f45c40a006c0104157013ab4b857f665f.tar.xz
dpkg-ea314d2f45c40a006c0104157013ab4b857f665f.zip
Adding upstream version 1.22.4.upstream/1.22.4
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'tests/t-conffile-divert-conffile/pkg-conff-divert/DEBIAN/preinst')
-rwxr-xr-xtests/t-conffile-divert-conffile/pkg-conff-divert/DEBIAN/preinst10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/t-conffile-divert-conffile/pkg-conff-divert/DEBIAN/preinst b/tests/t-conffile-divert-conffile/pkg-conff-divert/DEBIAN/preinst
new file mode 100755
index 0000000..4ac5cfa
--- /dev/null
+++ b/tests/t-conffile-divert-conffile/pkg-conff-divert/DEBIAN/preinst
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = "install" ] || [ "$1" = "upgrade" ]; then
+ # XXX: We should use the copy method instead once available.
+ cp -a $DPKG_ROOT/test-conffile $DPKG_ROOT/test-conffile.diverted
+ dpkg-divert --package pkg-conff-divert --no-rename \
+ --divert /test-conffile.diverted --add /test-conffile
+fi